This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 701257 - Broken dependency on deprecated hal
Broken dependency on deprecated hal
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: odccm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On: 678728
Blocks: 716196
  Show dependency treegraph
 
Reported: 2011-05-02 06:45 EDT by Nicola Soranzo
Modified: 2011-08-25 08:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: synce-connector-0.15.2-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-25 07:59:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2011-05-02 06:45:16 EDT
Description of problem:
Since HAL has been deprecated upstream for 3 years, all major distributions are removing it. You can find more details on the proposed Fedora Feature page:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package has already been deprecated by its maintainer and blocked from composes for rawhide.
Therefore, unless somebody volunteers to maintain hal, the following broken dependencies for your package should be removed:

odccm-0.11.1-4.fc15.i686 requires libhal.so.1

Version-Release number of selected component (if applicable):
odccm-0.11.1-4.fc15
Comment 1 Nicola Soranzo 2011-06-08 05:09:29 EDT
odccm is deprecated upstream and synce-hal package already provides/obsoletes it. So, I think this package should be deprecated using the following procedure:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 2 Nicola Soranzo 2011-06-16 06:17:31 EDT
I saw you added a dependency on synce-connector Review Request, unfortunately I'm not a packager, so cannot review it. I would suggest to ask for a review swap on devel mailing list.

Anyway, as I said on my previous comment, synce-hal package already provides/obsoletes odccm, so it can be deprecated now.
Comment 3 Nicola Soranzo 2011-07-12 06:02:59 EDT
Ping?

Can you answer my comment, please?
Feature Freeze is approaching and deprecating the package should be very easy and fast.
Comment 4 Andreas Bierfert 2011-07-12 07:18:45 EDT
See the dependency. I am waiting for someone to review synce-connector to get rid of all the deprecated synce components in a sane way.

As a side note: I was hoping that proposing a feature like hal deprecation also would include providing some resources to help in fixing the resulting fallout.
Comment 5 Nicola Soranzo 2011-07-12 09:05:26 EDT
(In reply to comment #4)
> As a side note: I was hoping that proposing a feature like hal deprecation also
> would include providing some resources to help in fixing the resulting fallout.

I'm not a HAL developer, just the one who open bugs for tracking the removal process!
If you have specific problems in porting your package to HAL, I'd suggest to ask for help/guidance on devel mailing list. The same for finding a reviewer for synce-connector.
Comment 6 Nicola Soranzo 2011-08-25 08:02:07 EDT
For the record:
synce-connector package has been approved, odccm has been deprecated and blocked from f16 and rawhide:

https://fedorahosted.org/rel-eng/ticket/4895

Note You need to log in before you can comment on or make changes to this bug.